Last Comment Bug 605701 - Make WIN32_REDIST_DIR support stricter and more explicit
: Make WIN32_REDIST_DIR support stricter and more explicit
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: x86 Windows Server 2003
: -- minor (vote)
: mozilla6
Assigned To: Serge Gautherie (:sgautherie)
:
Mentors:
http://mxr.mozilla.org/comm-central/s...
Depends on:
Blocks: 650699
  Show dependency treegraph
 
Reported: 2010-10-19 20:41 PDT by Serge Gautherie (:sgautherie)
Modified: 2011-04-22 18:11 PDT (History)
1 user (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
wontfix


Attachments
(Av1) Just do it [Checked in: See comment 8] (4.26 KB, patch)
2010-10-19 20:54 PDT, Serge Gautherie (:sgautherie)
benjamin: review+
benjamin: approval2.0-
Details | Diff | Splinter Review
(Bv1-CC) Remove useless WIN32_REDIST_DIR support [Checked in: Comment 11] (2.09 KB, patch)
2010-10-19 21:00 PDT, Serge Gautherie (:sgautherie)
bugspam.Callek: review+
Details | Diff | Splinter Review
(Cv1-JS) Remove useless WIN32_REDIST_DIR support [Checked in: Comment 9] (2.10 KB, patch)
2010-10-19 21:04 PDT, Serge Gautherie (:sgautherie)
ted: review+
benjamin: approval2.0-
Details | Diff | Splinter Review

Description Serge Gautherie (:sgautherie) 2010-10-19 20:41:28 PDT
Noticed these while working on some other bug.

Ftr,
*Tinderbox Opt builds usually have --enable-jemalloc thus don't care.
*Tinderbox Debug builds usually have (implicit) --disable-jemalloc thus care.
*User local builds have --disable-jemalloc by default thus may care.
Comment 1 Serge Gautherie (:sgautherie) 2010-10-19 20:54:44 PDT
Created attachment 484609 [details] [diff] [review]
(Av1) Just do it
[Checked in: See comment 8]

*Make sure not to uselessly package the dlls when --enable-jemalloc.
*Error out if the path is invalid.
*Warn if not specified: not an error, just a reminder.
*Remove an obsolete "cygwin" while there.
Comment 2 Serge Gautherie (:sgautherie) 2010-10-19 21:00:36 PDT
Created attachment 484613 [details] [diff] [review]
(Bv1-CC) Remove useless WIN32_REDIST_DIR support
[Checked in: Comment 11]
Comment 3 Serge Gautherie (:sgautherie) 2010-10-19 21:04:49 PDT
Created attachment 484615 [details] [diff] [review]
(Cv1-JS) Remove useless WIN32_REDIST_DIR support
[Checked in: Comment 9]
Comment 4 Serge Gautherie (:sgautherie) 2010-10-21 16:04:25 PDT
Comment on attachment 484615 [details] [diff] [review]
(Cv1-JS) Remove useless WIN32_REDIST_DIR support
[Checked in: Comment 9]

"approval2.0=?":
Useless configure code removal, no risk.
Comment 5 Justin Wood (:Callek) (Away until Aug 29) 2010-10-29 20:27:54 PDT
Comment on attachment 484613 [details] [diff] [review]
(Bv1-CC) Remove useless WIN32_REDIST_DIR support
[Checked in: Comment 11]

please hold landing until patch C here lands.
Comment 6 Serge Gautherie (:sgautherie) 2010-12-02 13:40:19 PST
Comment on attachment 484609 [details] [diff] [review]
(Av1) Just do it
[Checked in: See comment 8]

"approval2.0=?":
Some configure improvements, very low risk.
Comment 7 Ted Mielczarek [:ted.mielczarek] 2011-03-22 07:19:12 PDT
This can land in the build-system branch.
Comment 8 Serge Gautherie (:sgautherie) 2011-04-17 07:55:32 PDT
Comment on attachment 484609 [details] [diff] [review]
(Av1) Just do it
[Checked in: See comment 8]

http://hg.mozilla.org/mozilla-central/rev/233c1426514f
Av1, unbitrotted.
Comment 9 Serge Gautherie (:sgautherie) 2011-04-17 07:57:24 PDT
Comment on attachment 484615 [details] [diff] [review]
(Cv1-JS) Remove useless WIN32_REDIST_DIR support
[Checked in: Comment 9]

http://hg.mozilla.org/mozilla-central/rev/6da70394e0d5
Comment 10 Serge Gautherie (:sgautherie) 2011-04-17 07:59:42 PDT
Patches A and C had succeeded as
http://tbpl.mozilla.org/?tree=MozillaTry&rev=54bf691c3326
Comment 11 Serge Gautherie (:sgautherie) 2011-04-17 12:01:52 PDT
Comment on attachment 484613 [details] [diff] [review]
(Bv1-CC) Remove useless WIN32_REDIST_DIR support
[Checked in: Comment 11]

http://hg.mozilla.org/comm-central/rev/a0f156172bc7

Note You need to log in before you can comment on or make changes to this bug.